Page MenuHomePhabricator

Collection header not styled when editing collection from an article
Closed, ResolvedPublic

Description

When you edit collection from an article (create a new collection with the article) the title/description are not styled as they should.

There's a .collection-header in the CollectionEditorOverlay that needs of the styles that are on the module ext.gather.styles which seems to be loaded via addModuleStyles only in the special page.

Not sure about the solution. Either copy the collection header styles to the collection editor styles, or split the module to smaller ones and load the collection-header twice on special pages when editing a collection. For that trouble though, copy&pasta of those ~6 lines of less seem the most straightforward solution.

Discuss please.

Details

Related Gerrit Patches:
mediawiki/extensions/Gather : masterFix Gather editor interface

Event Timeline

Jhernandez raised the priority of this task from to Needs Triage.
Jhernandez updated the task description. (Show Details)
Jhernandez added a subscriber: Jhernandez.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2015, 6:01 PM
Jdlrobson moved this task from Needs triage to Must haves on the Gather board.Jun 10 2015, 7:22 PM

We should just declare ext.gather.styles and wait for T87871 to get fixed.

Change 217436 had a related patch set uploaded (by Jdlrobson):
Fix Gather editor interface

https://gerrit.wikimedia.org/r/217436

Change 217436 merged by jenkins-bot:
Fix Gather editor interface

https://gerrit.wikimedia.org/r/217436

phuedx closed this task as Resolved.Jun 12 2015, 1:42 PM
phuedx added a subscriber: phuedx.

Verified locally.